<div data-controller="device-detector" class="position-fixed top-0 right-0 background-pink-t3 pointer-event-none">
  <span data-device-detector-target="clientName"></span>
  &nbsp;
  <span data-device-detector-target="clientVersion"></span>
  &nbsp;
  (<span data-device-detector-target="deviceType"></span>)
  &nbsp;
  <span data-device-detector-target="osName"></span>
  &nbsp;
  <span data-device-detector-target="osVersion"></span>
  &nbsp;
  <span data-device-detector-target="viewportWidth"></span>
  x <span data-device-detector-target="viewportHeight"></span>
  x <span data-device-detector-target="devicePixelRatio"></span>
</div>
